Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 192807 - s-c-p crashes if used with non-C locale
Summary: s-c-p crashes if used with non-C locale
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-23 10:26 UTC by Anton Guda
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.10-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-30 09:45:27 UTC


Attachments (Terms of Use)

Description Anton Guda 2006-05-23 10:26:41 UTC
Description of problem:
When system-config-printer called with non-C
locale, crash occurs, traceback is dumped.


Version-Release number of selected component (if applicable):
system-config-printer-0.7.8-1


How reproducible:
Every time

Steps to Reproduce:
1. LANG=ru_RU.KOI8-R system-config-printer
2.  or LANG=fr_FR.UTF-8 .. same result
3. LANG=C system-config-printer
  
Actual results:
Works only with C locale.


Expected results:
Works with any locale (may be set to 'C' internaly).

Additional info:
Traceback:

[atu@nt ~]$ LANG=ru_RU.KOI8-R system-config-printer
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1931, 
in ?
    main()
  File "/usr/share/system-config-printer/system-config-printer.py", line 1922, 
in main
    mainwindow = GUI()
  File "/usr/share/system-config-printer/system-config-printer.py", line 42, 
in __init__
    self.language, self.encoding = locale.getlocale(locale.LC_ALL)
  File "/usr/lib/python2.4/locale.py", line 364, in getlocale
    raise TypeError, 'category LC_ALL is not supported'
TypeError: category LC_ALL is not supported

Comment 1 Tim Waugh 2006-05-25 12:21:01 UTC
Fixed in CVS.

Comment 2 Anton Guda 2006-05-26 15:31:28 UTC
Tested system-config-printer-0.7.9-1 :OK
Bug may be closed.



Comment 3 Tim Waugh 2006-05-26 15:53:03 UTC
The actual trigger is that one LC_... variable is different to another LC_...
variable.  In that case, trying to getlocale(LC_ALL) can't return a sensible answer.

0.7.9 is still afflicted with this; try:

LC_MESSAGES=fr_FR.UTF-8 LC_CTYPE=en_GB.UTF-8 system-config-printer

However, system-config-printer-0.7.10-1 should now handle this correctly.


Note You need to log in before you can comment on or make changes to this bug.